import { OnInit, ElementRef, EventEmitter } from '@angular/core';
import { PAGEIMGLIST } from '../model/index';
export declare class PagePreviewComponent implements OnInit {
    focusElement: any;
    zoomRatio: number;
    imgRatio: number;
    isSpinning: boolean;
    mouseDown: boolean;
    disX: number;
    disY: number;
    nextDeg: number;
    nowImgUrl: string;
    constructor();
    imgList: PAGEIMGLIST[];
    snHeight?: string;
    snIndex: number;
    snPageBtnClick: EventEmitter<number>;
    container: ElementRef;
    imageInstance: ElementRef;
    ngOnInit(): void;
    ngOnChanges(): void;
    loadImg(): void;
    onMousedown(event: MouseEvent): void;
    onMousemove(event: MouseEvent): void;
    onMouseup(): void;
    mousewheel(event: MouseEvent | any): void;
    setImgSize(): void;
    prev(): void;
    next(): void;
    zoom(): void;
    zoomOut(): void;
    rotate(): void;
    updateImgSize(type: any, newImgWidth: any, newImgHeight: any): void;
}
