import { CommonModule } from '@angular/common';
import { __spread } from 'tslib';
import { NzMessageService, NgZorroAntdModule } from 'ng-zorro-antd';
import { Component, Input, ViewChild, EventEmitter, HostListener, Output, Injectable, NgModule, defineInjectable, inject } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpEventType, HttpResponse } from '@angular/common/http';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var PAGEIMGLIST = /** @class */ (function () {
    function PAGEIMGLIST() {
    }
    return PAGEIMGLIST;
}());
var POPIMGLIST = /** @class */ (function () {
    function POPIMGLIST() {
    }
    return POPIMGLIST;
}());
var RESPONSE = /** @class */ (function () {
    function RESPONSE() {
    }
    return RESPONSE;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var PopPreviewComponent = /** @class */ (function () {
    function PopPreviewComponent() {
    }
    Object.defineProperty(PopPreviewComponent.prototype, "imgList", {
        set: /**
         * @param {?} imgList
         * @return {?}
         */
        function (imgList) {
            this._imgList = imgList;
            this.loadImageComplate();
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    PopPreviewComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    /**
     * @return {?}
     */
    PopPreviewComponent.prototype.loadImageComplate = /**
     * @return {?}
     */
    function () {
        var _this = this;
        if (this.viewer) {
            this.viewer.destroy();
        }
        setTimeout(function () {
            _this.viewer = new Viewer(_this.images.nativeElement);
        });
    };
    PopPreviewComponent.decorators = [
        { type: Component, args: [{
                    selector: 'sn-pop-preview',
                    template: "<!-- <div id=\"images\" class=\"images\">\n  <ng-container *ngFor=\"let item of imgList\">\n    <img [ngStyle]=\"{'width': snWidth, 'height': snHeight}\" src=\"{{item.url}}\" alt=\"{{item.alt}}\">\n  </ng-container>\n</div> -->\n\n\n<div #images class=\"images\">\n  <ng-container *ngFor=\"let item of _imgList; let i = index;\">\n    <img [ngStyle]=\"{'width': snWidth, 'height': snHeight}\" src=\"{{item.url}}\" alt=\"{{item.name}}\">\n  </ng-container>\n</div>\n",
                    styles: [".images{margin:0;padding:0}.images img{margin-left:5px;cursor:zoom-in}"]
                }] }
    ];
    /** @nocollapse */
    PopPreviewComponent.ctorParameters = function () { return []; };
    PopPreviewComponent.propDecorators = {
        imgList: [{ type: Input }],
        snHeight: [{ type: Input }],
        snWidth: [{ type: Input }],
        images: [{ type: ViewChild, args: ['images',] }]
    };
    return PopPreviewComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var PagePreviewComponent = /** @class */ (function () {
    // nowImgIndex: number = 0;
    function PagePreviewComponent() {
        this.zoomRatio = 1.25;
        this.isSpinning = false;
        this.mouseDown = false;
        this.disX = 0;
        this.disY = 0;
        this.nextDeg = 0;
        this.imgList = [];
        this.snHeight = '300px';
        this.snIndex = 0;
        this.snPageBtnClick = new EventEmitter();
    }
    /**
     * @return {?}
     */
    PagePreviewComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    /**
     * @return {?}
     */
    PagePreviewComponent.prototype.ngOnChanges = /**
     * @return {?}
     */
    function () {
        console.log('ngOnChanges==');
        this.loadImg();
    };
    /**
     * @return {?}
     */
    PagePreviewComponent.prototype.loadImg = /**
     * @return {?}
     */
    function () {
        var _this = this;
        if (!this.imgList || this.imgList.length == 0)
            return;
        this.nowImgUrl = this.imgList[this.snIndex].url;
        this.isSpinning = true;
        setTimeout(function () {
            _this.setImgSize();
        }, 1000);
    };
    /**
     * @param {?} event
     * @return {?}
     */
    PagePreviewComponent.prototype.onMousedown = /**
     * @param {?} event
     * @return {?}
     */
    function (event) {
        this.mouseDown = true;
        if (!this.imageInstance)
            return;
        if (event.target == this.imageInstance.nativeElement) {
            event.preventDefault(); //禁止浏览器自带拖动效果
            this.focusElement = this.imageInstance.nativeElement;
            this.disX = event.clientX - this.imageInstance.nativeElement.offsetLeft;
            this.disY = event.clientY - this.imageInstance.nativeElement.offsetTop;
            this.imageInstance.nativeElement.setCapture && this.imageInstance.nativeElement.setCapture.setCapture();
        }
        else {
            this.mouseDown = false;
        }
    };
    /**
     * @param {?} event
     * @return {?}
     */
    PagePreviewComponent.prototype.onMousemove = /**
     * @param {?} event
     * @return {?}
     */
    function (event) {
        if (!this.imageInstance)
            return;
        if (this.mouseDown) {
            if (this.focusElement == this.imageInstance.nativeElement) {
                /** @type {?} */
                var iL = event.clientX - this.disX;
                /** @type {?} */
                var iT = event.clientY - this.disY;
                // iL <= 0 && (iL = 0);
                // iL > maxW && (iL = maxW);
                this.imageInstance.nativeElement.style.left = iL + "px";
                this.imageInstance.nativeElement.style.top = iT + "px";
            }
        }
    };
    /**
     * @return {?}
     */
    PagePreviewComponent.prototype.onMouseup = /**
     * @return {?}
     */
    function () {
        if (!this.imageInstance)
            return;
        this.mouseDown = false;
        this.focusElement = null;
        document.onmousemove = null;
        document.onmouseup = null;
        this.imageInstance.nativeElement.releaseCapture && this.imageInstance.nativeElement.releaseCapture();
    };
    /**
     * @param {?} event
     * @return {?}
     */
    PagePreviewComponent.prototype.mousewheel = /**
     * @param {?} event
     * @return {?}
     */
    function (event) {
        if (!this.imageInstance)
            return;
        if (event.target == this.imageInstance.nativeElement) {
            event.preventDefault(); //禁止浏览器自带拖动效果
            if (event.wheelDelta > 0) {
                this.zoom();
            }
            else {
                this.zoomOut();
            }
            this.imageInstance.nativeElement.setCapture && this.imageInstance.nativeElement.setCapture.setCapture();
        }
    };
    /**
     * @return {?}
     */
    PagePreviewComponent.prototype.setImgSize = /**
     * @return {?}
     */
    function () {
        /** @type {?} */
        var containerWidth = this.container.nativeElement.clientWidth;
        /** @type {?} */
        var containerHeight = this.container.nativeElement.clientHeight;
        /** @type {?} */
        var imgNaturalWidth = this.imageInstance.nativeElement.naturalWidth;
        /** @type {?} */
        var imgNaturalHeight = this.imageInstance.nativeElement.naturalHeight;
        this.imgRatio = imgNaturalWidth / imgNaturalHeight;
        this.imageInstance.nativeElement.style.top = 0;
        this.imageInstance.nativeElement.className = "image";
        if (this.imgRatio < containerWidth / containerHeight) {
            /** @type {?} */
            var imgWidth = containerHeight / imgNaturalHeight * imgNaturalWidth;
            this.imageInstance.nativeElement.style.width = imgWidth + 'px';
            this.imageInstance.nativeElement.style.height = containerHeight + 'px';
            this.imageInstance.nativeElement.style.left = (containerWidth - imgWidth) / 2 + 'px';
        }
        else {
            /** @type {?} */
            var imgHeight = containerWidth / imgNaturalWidth * imgNaturalHeight;
            this.imageInstance.nativeElement.style.width = containerWidth + 'px';
            this.imageInstance.nativeElement.style.height = imgHeight + 'px';
            this.imageInstance.nativeElement.style.top = (containerHeight - imgHeight) / 2 + 'px';
        }
        this.isSpinning = false;
    };
    /**
     * @return {?}
     */
    PagePreviewComponent.prototype.prev = /**
     * @return {?}
     */
    function () {
        var _this = this;
        if (this.snIndex > 0) {
            this.isSpinning = true;
            this.snIndex--;
            this.nowImgUrl = this.imgList[this.snIndex].url;
            this.snPageBtnClick.emit(this.snIndex);
            setTimeout(function () {
                _this.setImgSize();
            }, 1000);
        }
    };
    /**
     * @return {?}
     */
    PagePreviewComponent.prototype.next = /**
     * @return {?}
     */
    function () {
        var _this = this;
        if (this.snIndex < this.imgList.length - 1) {
            this.isSpinning = true;
            this.snIndex++;
            this.nowImgUrl = this.imgList[this.snIndex].url;
            this.snPageBtnClick.emit(this.snIndex);
            setTimeout(function () {
                _this.setImgSize();
            }, 1000);
        }
    };
    /**
     * @return {?}
     */
    PagePreviewComponent.prototype.zoom = /**
     * @return {?}
     */
    function () {
        /** @type {?} */
        var newImgWidth = Math.ceil(this.imageInstance.nativeElement.clientWidth * this.zoomRatio);
        /** @type {?} */
        var newImgHeight = Math.ceil(this.imageInstance.nativeElement.clientHeight * this.zoomRatio);
        if (newImgWidth > newImgHeight && newImgWidth > 2000 || newImgWidth < newImgHeight && newImgHeight > 2000)
            return;
        this.updateImgSize('zoom', newImgWidth, newImgHeight);
    };
    /**
     * @return {?}
     */
    PagePreviewComponent.prototype.zoomOut = /**
     * @return {?}
     */
    function () {
        /** @type {?} */
        var newImgWidth = Math.ceil(this.imageInstance.nativeElement.clientWidth / this.zoomRatio);
        /** @type {?} */
        var newImgHeight = Math.ceil(this.imageInstance.nativeElement.clientHeight / this.zoomRatio);
        if (newImgWidth > newImgHeight && newImgWidth < 280 || newImgWidth < newImgHeight && newImgHeight < 280)
            return;
        this.updateImgSize('zoomout', newImgWidth, newImgHeight);
    };
    /**
     * @return {?}
     */
    PagePreviewComponent.prototype.rotate = /**
     * @return {?}
     */
    function () {
        /** @type {?} */
        var rotateClass = this.imageInstance.nativeElement.className.match(/(rotate)(\d*)/);
        if (rotateClass) {
            this.nextDeg = (rotateClass[2] * 1 + 90) % 360;
        }
        else {
            this.nextDeg = 90;
        }
        this.imageInstance.nativeElement.className = "image rotate" + this.nextDeg;
        this.imageInstance.nativeElement.style.left = (this.container.nativeElement.clientWidth - this.imageInstance.nativeElement.clientWidth) / 2 + 'px';
        this.imageInstance.nativeElement.style.top = (this.container.nativeElement.clientHeight - this.imageInstance.nativeElement.clientHeight) / 2 + 'px';
    };
    /**
     * @param {?} type
     * @param {?} newImgWidth
     * @param {?} newImgHeight
     * @return {?}
     */
    PagePreviewComponent.prototype.updateImgSize = /**
     * @param {?} type
     * @param {?} newImgWidth
     * @param {?} newImgHeight
     * @return {?}
     */
    function (type, newImgWidth, newImgHeight) {
        /** @type {?} */
        var containerWidth = this.container.nativeElement.clientWidth;
        /** @type {?} */
        var containerHeight = this.container.nativeElement.clientHeight;
        //   let isVertical = this.nextDeg == 90 || this.nextDeg == 270;
        /** @type {?} */
        var isVertical = true;
        this.imageInstance.nativeElement.style.width = newImgWidth + 'px';
        this.imageInstance.nativeElement.style.height = newImgHeight + 'px';
        if (containerWidth > isVertical ? newImgWidth : newImgHeight) {
            this.imageInstance.nativeElement.style.left = (containerWidth - newImgWidth) / 2 + 'px';
        }
        else {
            /** @type {?} */
            var iL = this.imageInstance.nativeElement.offsetTop + newImgWidth / 10 * (type === 'zoom' ? -1 : 1);
            /** @type {?} */
            var iR = containerWidth - newImgWidth;
            iL >= 0 && (iL = 0);
            iL <= iR && (iL = iR);
            this.imageInstance.nativeElement.style.left = iL + 'px';
        }
        if (containerHeight > isVertical ? newImgHeight : newImgWidth) {
            this.imageInstance.nativeElement.style.top = (containerHeight - newImgHeight) / 2 + 'px';
        }
        else {
            /** @type {?} */
            var iT = this.imageInstance.nativeElement.offsetLeft + newImgHeight / 10 * (type === 'zoom' ? -1 : 1);
            /** @type {?} */
            var iB = containerHeight - newImgHeight;
            iT >= 0 && (iT = 0);
            iT <= iB && (iT = iB);
            this.imageInstance.nativeElement.style.top = iT + "px";
        }
    };
    PagePreviewComponent.decorators = [
        { type: Component, args: [{
                    selector: 'sn-page-preview',
                    template: "<nz-spin [nzSpinning]=\"isSpinning\">\n  <div class=\"box\" [ngStyle]=\"{'height': snHeight}\">\n    <div #container class=\"container\" *ngIf=\"(nowImgUrl != undefined && nowImgUrl != '') || false; else elseTemplate\">\n      <img #imageInstance class=\"image rotate0\" [src]=\"nowImgUrl\" onError=\"src='https://smarteclouddev.oss-cn-shanghai.aliyuncs.com/4de92b05-7dad-4d71-8557-b7aea52444f3'\" />\n      <div (click)=\"prev()\" class=\"pageTurnSpan prev\"><i nz-icon type=\"left\"></i></div>\n      <div (click)=\"next()\" class=\"pageTurnSpan next\"><i nz-icon type=\"right\"></i></div>\n      <div class=\"tool\">\n        <div class=\"toolct\">\n          <span class=\"oper_bigger\" title=\"\u653E\u5927\u56FE\u7247\" (click)=\"zoom()\"><i nz-icon type=\"plus-circle-o\"></i></span>\n          <span class=\"oper_smaller\" title=\"\u7F29\u5C0F\u56FE\u7247\" (click)=\"zoomOut()\"><i nz-icon type=\"minus-circle-o\"></i></span>\n          <!-- <span style=\"font-size: 20px;line-height: 20px;\">{{snIndex + 1}}/{{imgList.length}}</span> -->\n          <span class=\"oper_rotate\" title=\"\u5411\u53F3\u65CB\u8F6C\" (click)=\"rotate()\"><i nz-icon type=\"reload\"></i></span>\n        </div>\n      </div>\n    </div>\n    <ng-template #elseTemplate>\n      <div class=\"no-img\" [ngStyle]=\"{'line-height': snHeight}\">\u6682\u65E0\u56FE\u7247</div>\n    </ng-template>\n  </div>\n</nz-spin>\n",
                    styles: [".box{width:100%;height:400px;border:1px solid rgba(0,0,0,.15);position:relative;overflow:hidden}.box i{position:relative;z-index:100;display:inline-block}.box .rotate0{transform:rotate(0);-webkit-transform:rotate(0)}.box .rotate90{transform:rotate(90deg);-webkit-transform:rotate(90deg)}.box .rotate180{transform:rotate(180deg);-webkit-transform:rotate(180deg)}.box .rotate270{transform:rotate(270deg);-webkit-transform:rotate(270deg)}.box .container:hover .pageTurnSpan,.box .container:hover .tool{display:block}.box .container{width:100%;height:100%;background:rgba(0,0,0,.1)}.box .container .image{position:absolute;margin:0;padding:0;z-index:100;cursor:move}.box .container .image.active{display:block}.box .container .tool{position:absolute;bottom:4px;width:100%;text-align:center;display:none;z-index:100}.box .container .toolct{display:inline-block;height:30px;background-color:#6f6965;padding:5px 14px;box-sizing:border-box;border-radius:6px}.box .container .toolct span{margin:0 10px}.box .container .toolct i{display:inline-block;cursor:pointer;font-size:20px}.box .container .percentTip{position:absolute;top:0;bottom:0;right:0;left:0;margin:auto;width:100px;height:30px;z-index:100;text-align:center;line-height:30px;font-size:16px;border-radius:8px;color:#fff;background:linear-gradient(315deg,#4f504e,#151313);background:-o-linear-gradient(left,#4f504e,#151313);background:-webkit-gradient(linear,100% 0,100% 0,from(#4f504e),to(#151313))}.box .container .pageTurnSpan{position:absolute;top:0;bottom:0;right:0;left:0;margin:auto;z-index:100;display:none;width:30px;height:38px;font-size:30px;line-height:38px;cursor:pointer}.box .container .pageTurnSpan.prev{float:left;margin-left:9px}.box .container .pageTurnSpan.next{float:right;margin-right:9px}.box .container .pageTurnSpan.next.active i,.box .container .pageTurnSpan.prev.active i{display:inline-block}.box .no-img{font-size:48px;color:rgba(0,0,0,.2);text-align:center;width:100%;height:100%;background:rgba(0,0,0,.1)}"]
                }] }
    ];
    /** @nocollapse */
    PagePreviewComponent.ctorParameters = function () { return []; };
    PagePreviewComponent.propDecorators = {
        imgList: [{ type: Input }],
        snHeight: [{ type: Input }],
        snIndex: [{ type: Input }],
        snPageBtnClick: [{ type: Output }],
        container: [{ type: ViewChild, args: ["container",] }],
        imageInstance: [{ type: ViewChild, args: ["imageInstance",] }],
        onMousedown: [{ type: HostListener, args: ["mousedown", ["$event"],] }],
        onMousemove: [{ type: HostListener, args: ['mousemove', ['$event'],] }],
        onMouseup: [{ type: HostListener, args: ['window:mouseup',] }],
        mousewheel: [{ type: HostListener, args: ["mousewheel", ["$event"],] }]
    };
    return PagePreviewComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ImgUploadComponent = /** @class */ (function () {
    function ImgUploadComponent(msg) {
        var _this = this;
        this.msg = msg;
        this.previewImage = '';
        this.previewVisible = false;
        this.uploadData = { "bucketAlias": "SmartEvent" };
        this._snFileList = [];
        this.imgList = [];
        // @Input() _snFileList: IMGLIST[];
        this.snFileListChange = new EventEmitter();
        this.snChangeCallback = new EventEmitter();
        this.snRemoveCallback = new EventEmitter();
        this.snUploadCallback = new EventEmitter();
        this.handlePreview = function (file) {
            // console.log('handlePreview==', file);
            // this.previewImage = file.url || file.thumbUrl;
            // this.previewVisible = true;
            // console.log('handlePreview==', file);
            // this.previewImage = file.url || file.thumbUrl;
            // this.previewVisible = true;
            // console.log('handlePreview=', file);
            // let previewImage = file.response.content.url || file.response.content.urlThumbnail;
            /** @type {?} */
            var previewImage = file.url || file.thumbUrl;
            window.open(previewImage, "_blank");
        };
        this.beforeUpload = function (file) {
            // console.log('beforeUpload==', file);
            // console.log('beforeUpload=snFileList=', this.snFileList);
            /** @type {?} */
            var isIMG = file.type === 'image/jpeg' || file.type === 'image/png';
            if (!isIMG) {
                _this.msg.error('只支持JPG或PNG格式!');
            }
            /** @type {?} */
            var isLt2M = file.size / 1024 / 1024 < 10;
            if (!isLt2M) {
                _this.msg.error('上传文件需小于10MB!');
            }
            return isIMG && isLt2M;
        };
        this.remove = function (file) {
            // console.log('remove=file=', file);
            /** @type {?} */
            var index = _this._snFileList.indexOf(file);
            _this.imgList.splice(index, 1);
            _this._snFileList.splice(index, 1);
            /** @type {?} */
            var imglist = __spread(_this.imgList);
            _this.snChangeCallback.emit(imglist);
            _this.snRemoveCallback.emit(file);
            _this.snFileListChange.emit(imglist);
            return;
        };
        this.snText = "上传图片";
    }
    Object.defineProperty(ImgUploadComponent.prototype, "uploadUrl", {
        set: /**
         * @param {?} url
         * @return {?}
         */
        function (url) {
            this.snAction = url + "/foundation/aliyun/api/oss/upload";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ImgUploadComponent.prototype, "snFileList", {
        set: /**
         * @param {?} list
         * @return {?}
         */
        function (list) {
            // console.log('@Input() snFileList==', list);
            if (!list)
                return;
            if (this.imgList.length > 0) {
                /** @type {?} */
                var flag_1 = true;
                this.imgList.forEach(function (item) {
                    // console.log(list.indexOf(item));
                    if (list.indexOf(item) == -1) {
                        flag_1 = false;
                    }
                });
                if (flag_1)
                    return;
            }
            this.imgList = list;
            /** @type {?} */
            var imglist = [];
            list.forEach(function (item) {
                imglist.push({
                    name: item.name,
                    fileKey: item.fileKey,
                    status: item.status ? item.status : "done",
                    url: item.uri,
                    thumbnUrl: item.thumbnail
                });
            });
            this._snFileList = __spread(imglist);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    ImgUploadComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    /**
     * @param {?} event
     * @return {?}
     */
    ImgUploadComponent.prototype.changeCallback = /**
     * @param {?} event
     * @return {?}
     */
    function (event) {
        if (event.type === "success") {
            // console.log('changeCallback=event=', event);
            this.imgList = __spread(this.imgList, [{
                    fileKey: event.file.response.content.fileKey,
                    thumbnail: event.file.response.content.urlThumbnail,
                    name: event.file.name,
                    status: event.file.status,
                    uri: event.file.response.content.url,
                }]);
            this.snChangeCallback.emit(this.imgList);
            this.snUploadCallback.emit(event.file);
            this.snFileListChange.emit(this.imgList);
        }
        if (event.type === "error") {
            console.log('upload error =', event);
        }
    };
    ImgUploadComponent.decorators = [
        { type: Component, args: [{
                    selector: 'sn-img-upload',
                    template: "<nz-upload \n    [nzAction]=\"snAction\" \n    nzListType=\"picture-card\"\n    [nzPreview]=\"handlePreview\"\n    [(nzFileList)]=\"_snFileList\"\n    [nzBeforeUpload]=\"beforeUpload\"\n    [nzData]=\"uploadData\"\n    [nzRemove]=\"remove\"\n    (nzChange)=\"changeCallback($event)\">\n    <span>\n        <i nz-icon type=\"plus\"></i>\n        <div>{{snText}}</div>\n    </span>\n</nz-upload>\n\n",
                    styles: [":host ::ng-deep span>i{font-size:32px;color:#999}:host ::ng-deep span>.ant-upload-text{margin-top:8px;color:#666}"]
                }] }
    ];
    /** @nocollapse */
    ImgUploadComponent.ctorParameters = function () { return [
        { type: NzMessageService }
    ]; };
    ImgUploadComponent.propDecorators = {
        uploadUrl: [{ type: Input }],
        snFileList: [{ type: Input }],
        snText: [{ type: Input }],
        snFileListChange: [{ type: Output }],
        snChangeCallback: [{ type: Output }],
        snRemoveCallback: [{ type: Output }],
        snUploadCallback: [{ type: Output }]
    };
    return ImgUploadComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var FileUploadComponent = /** @class */ (function () {
    function FileUploadComponent() {
        this.uploadData = { "bucketAlias": "SmartEvent" };
        this.snChangeCallback = new EventEmitter();
    }
    Object.defineProperty(FileUploadComponent.prototype, "uploadUrl", {
        set: /**
         * @param {?} url
         * @return {?}
         */
        function (url) {
            this.snAction = url + "/foundation/aliyun/api/oss/upload";
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    FileUploadComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    /**
     * @param {?} event
     * @return {?}
     */
    FileUploadComponent.prototype.changeCallback = /**
     * @param {?} event
     * @return {?}
     */
    function (event) {
        if (event.type === "success") {
            console.log('changeCallback=event=', event);
            this.snFileList.splice(-1, 1, {
                fileKey: event.file.response.content.fileKey,
                uid: event.file.uid,
                name: event.file.name,
                status: event.file.status,
                url: event.file.response.content.url,
                thumbUrl: event.file.response.content.urlThumbnail
            });
            this.snChangeCallback.emit(this.snFileList);
        }
    };
    FileUploadComponent.decorators = [
        { type: Component, args: [{
                    selector: 'file-upload',
                    template: "<nz-upload \n  [nzAction]=\"snAction\"\n  (nzChange)=\"changeCallback($event)\"\n  [(nzFileList)]=\"snFileList\"\n  [nzData]=\"uploadData\">\n  <button nz-button>\n    <i nz-icon type=\"upload\"></i><span>{{snText}}</span>\n  </button>\n</nz-upload>\n",
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    FileUploadComponent.ctorParameters = function () { return []; };
    FileUploadComponent.propDecorators = {
        uploadUrl: [{ type: Input }],
        snText: [{ type: Input }],
        snFileList: [{ type: Input }],
        snChangeCallback: [{ type: Output }]
    };
    return FileUploadComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
var httpOptions = {
    headers: new HttpHeaders({
        'Content-Type': 'application/json'
    })
};
var SnFilerService = /** @class */ (function () {
    function SnFilerService(http) {
        this.http = http;
    }
    /**
     * @param {?} url
     * @param {?} params
     * @return {?}
     */
    SnFilerService.prototype.mapping = /**
     * @param {?} url
     * @param {?} params
     * @return {?}
     */
    function (url, params) {
        return this.http.post(url, params, httpOptions);
    };
    //删除图片
    //删除图片
    /**
     * @param {?} url
     * @param {?} params
     * @return {?}
     */
    SnFilerService.prototype.unmapFile = 
    //删除图片
    /**
     * @param {?} url
     * @param {?} params
     * @return {?}
     */
    function (url, params) {
        return this.http.post(url + '/foundation/aliyun/api/Oss/Unmap', params);
    };
    SnFilerService.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    /** @nocollapse */
    SnFilerService.ctorParameters = function () { return [
        { type: HttpClient }
    ]; };
    /** @nocollapse */ SnFilerService.ngInjectableDef = defineInjectable({ factory: function SnFilerService_Factory() { return new SnFilerService(inject(HttpClient)); }, token: SnFilerService, providedIn: "root" });
    return SnFilerService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var SnFileUploadComponent = /** @class */ (function () {
    function SnFileUploadComponent(nzMessageService, snFilerService, http) {
        var _this_1 = this;
        this.nzMessageService = nzMessageService;
        this.snFilerService = snFilerService;
        this.http = http;
        this.snBucket = 'SmartEvent';
        this.snMultiple = false;
        this.snFileNum = 99;
        this.snListType = 'text';
        //上传地址域名
        this.snFileList = []; //文件列表
        //文件列表
        this.snUploadData = { url: "", params: {} }; //mapping参数
        //mapping参数
        this.snIsMapping = false; //是否上传完毕马上mapping
        //是否上传完毕马上mapping
        this.snShowUploadList = true; //是否显示上传列表
        //是否显示上传列表
        this.snFileListChange = new EventEmitter(); //返回文件列表
        //返回文件列表
        this.snRemoveCallback = new EventEmitter(); //删除回调
        //删除回调
        this.snUploadCallback = new EventEmitter(); //上传成功回调
        this.changeCallback = function (event) {
            if (event.type === "success") {
                // console.log('changeCallback==', event);
                /** @type {?} */
                var url = _this_1.snUploadData.url;
                //完整的url路径
                /** @type {?} */
                var params = _this_1.snUploadData.params;
                params.fileKeys = [event.file.response.content.fileKey];
                _this_1.snFileList = event.fileList;
                if (_this_1.snIsMapping) {
                    _this_1.nzMessageService.success('文件上传成功！数据绑定中...');
                    _this_1.snFilerService.mapping(url, params).subscribe(function (res) {
                        if (res.success) {
                            _this_1.emitData(event.file);
                            _this_1.nzMessageService.success('绑定成功！');
                        }
                        else {
                            _this_1.snFileList = _this_1.removeFileItem(event.file, _this_1.snFileList);
                            _this_1.emitData(event.file);
                            _this_1.nzMessageService.error('绑定失败！');
                        }
                    });
                }
                else {
                    _this_1.emitData(event.file);
                }
            }
            if (event.type === "error") {
                console.log('upload error =', event);
                _this_1.nzMessageService.error('上传失败，未知错误！');
            }
        };
        this.remove = function (file) {
            /** @type {?} */
            var params = {
                fileId: file.fileKey || (file.response && file.response.content.fileKey)
            };
            _this_1.snFilerService.unmapFile(_this_1.snUploadUrl, params).subscribe(function (res) {
                if (res.success) {
                    _this_1.snFileList = _this_1.removeFileItem(file, _this_1.snFileList);
                    _this_1.snRemoveCallback.emit(file);
                    _this_1.snFileListChange.emit(_this_1.snFileList);
                    _this_1.nzMessageService.success('删除成功！');
                    return true;
                }
                else {
                    _this_1.nzMessageService.error('删除失败！');
                    return false;
                }
            });
        };
        this.handlePreview = function (file) {
            // console.log('handlePreview==', file);
            /** @type {?} */
            var previewImage = file.url || file.response.content.url || file.response.content.urlThumbnail;
            // let previewImage = file.url || file.thumbUrl;
            window.open(previewImage, "_blank");
        };
        this.customReq = function (item) {
            // console.log('customReq==', item);
            /** @type {?} */
            var isIMG = item.file.type === 'image/jpeg' || item.file.type === 'image/png';
            if (isIMG) {
                /** @type {?} */
                var _this_2 = _this_1;
                /** @type {?} */
                var ready = new FileReader();
                /*开始读取指定的Blob对象或File对象中的内容.
                当读取操作完成时,readyState属性的值会成为DONE,如果设置了onloadend事件处理程序,则调用之.
                同时,result属性中将包含一个data: URL格式的字符串以表示所读取文件的内容.*/
                ready.readAsDataURL((/** @type {?} */ (item.file)));
                ready.onload = function () {
                    /** @type {?} */
                    var path = this.result;
                    /** @type {?} */
                    var img = new Image();
                    img.src = path;
                    img.onload = function () {
                        /** @type {?} */
                        var newImgFileBlob = _this_2.canvasDataURL(this);
                        /** @type {?} */
                        var newImgFile = new File([newImgFileBlob], item.file.name, { type: item.file.type });
                        _this_2.uploadFile(item, newImgFile);
                    };
                };
            }
            else {
                _this_1.uploadFile(item);
            }
        };
        /**
         * 文件上传
         */
        this.uploadFile = function (item, file) {
            // 构建一个 FormData 对象，用于存储文件或其他参数
            /** @type {?} */
            var formData = new FormData();
            // tslint:disable-next-line:no-any
            formData.append('file', file || item.file);
            formData.append('bucketAlias', _this_1.snBucket);
            /** @type {?} */
            var req = new HttpRequest('POST', item.action, formData, {
                reportProgress: true,
            });
            // 始终返回一个 `Subscription` 对象，nz-upload 会在适当时机自动取消订阅
            return _this_1.http.request(req).subscribe(function (event) {
                if (event.type === HttpEventType.UploadProgress) {
                    if (event.total > 0) {
                        // tslint:disable-next-line:no-any
                        ((/** @type {?} */ (event))).percent = event.loaded / event.total * 100;
                    }
                    // 处理上传进度条，必须指定 `percent` 属性来表示进度
                    item.onProgress(event, file);
                }
                else if (event instanceof HttpResponse) {
                    // 处理成功
                    item.onSuccess(event.body, file, event);
                }
            }, function (err) {
                // 处理失败
                item.onError(err, file);
            });
        };
        this.beforeUpload = function (file) {
            if (_this_1.snListType === 'text') {
                /** @type {?} */
                var isLt10M = file.size / 1024 / 1024 < 10;
                if (!isLt10M) {
                    _this_1.nzMessageService.error('上传文件需小于10MB!');
                }
                return isLt10M;
            }
            else if (_this_1.snListType === 'picture-card') {
                /** @type {?} */
                var isIMG = file.type === 'image/jpeg' || file.type === 'image/png';
                if (!isIMG) {
                    _this_1.nzMessageService.error('只支持JPG或PNG格式!');
                }
                /** @type {?} */
                var isLt10M = file.size / 1024 / 1024 < 10;
                return isIMG;
            }
        };
    }
    /**
     * @return {?}
     */
    SnFileUploadComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        this.action = this.snUploadUrl + "/foundation/aliyun/api/oss/upload";
    };
    /**
     * @private
     * @param {?} file
     * @return {?}
     */
    SnFileUploadComponent.prototype.emitData = /**
     * @private
     * @param {?} file
     * @return {?}
     */
    function (file) {
        this.snFileListChange.emit(this.snFileList);
        this.snUploadCallback.emit(file);
    };
    /**
     * @private
     * @param {?} file
     * @param {?} fileList
     * @return {?}
     */
    SnFileUploadComponent.prototype.removeFileItem = /**
     * @private
     * @param {?} file
     * @param {?} fileList
     * @return {?}
     */
    function (file, fileList) {
        return fileList.filter(function (item) { return (item.uid !== file.uid || item.fileKey !== file.fileKey); });
    };
    /**
     * 压缩图片
     */
    /**
     * 压缩图片
     * @param {?} that
     * @return {?}
     */
    SnFileUploadComponent.prototype.canvasDataURL = /**
     * 压缩图片
     * @param {?} that
     * @return {?}
     */
    function (that) {
        /** @type {?} */
        var imgWidth = that.width;
        //原图宽度
        /** @type {?} */
        var imgHeight = that.height;
        //原图高度
        //生成canvas
        /** @type {?} */
        var canvas = document.createElement('canvas');
        /** @type {?} */
        var ctx = canvas.getContext('2d');
        // 创建属性节点
        /** @type {?} */
        var anw = document.createAttribute("width");
        anw.nodeValue = imgWidth;
        /** @type {?} */
        var anh = document.createAttribute("height");
        anh.nodeValue = imgHeight;
        canvas.setAttributeNode(anw);
        canvas.setAttributeNode(anh);
        ctx.drawImage(that, 0, 0, imgWidth, imgHeight);
        /** @type {?} */
        var quality = 0.6;
        // 默认图片压缩质量,值越小,所绘制出的图像越模糊
        /** @type {?} */
        var base64 = canvas.toDataURL('image/jpeg', quality);
        return this.convertBase64UrlToBlob(base64);
    };
    /**
     * 将以base64的图片url数据转换为Blob
     * @param urlData
     *            用url方式表示的base64图片数据
     */
    /**
     * 将以base64的图片url数据转换为Blob
     * @param {?} urlData
     *            用url方式表示的base64图片数据
     * @return {?}
     */
    SnFileUploadComponent.prototype.convertBase64UrlToBlob = /**
     * 将以base64的图片url数据转换为Blob
     * @param {?} urlData
     *            用url方式表示的base64图片数据
     * @return {?}
     */
    function (urlData) {
        /** @type {?} */
        var arr = urlData.split(',');
        /** @type {?} */
        var mime = arr[0].match(/:(.*?);/)[1];
        /** @type {?} */
        var bstr = atob(arr[1]);
        /** @type {?} */
        var n = bstr.length;
        /** @type {?} */
        var u8arr = new Uint8Array(n);
        while (n--) {
            u8arr[n] = bstr.charCodeAt(n);
        }
        return new Blob([u8arr], { type: mime });
    };
    SnFileUploadComponent.decorators = [
        { type: Component, args: [{
                    selector: 'sn-file-upload',
                    template: "<nz-upload  \n  [nzAccept]=\"snAccept\"\n  [nzAction]=\"action\" \n  [nzFileList]=\"snFileList\"\n  [nzListType]=\"snListType\"\n  (nzChange)=\"changeCallback($event)\"\n  [nzCustomRequest]=\"customReq\"\n  [nzMultiple]=\"snMultiple\"\n  [nzShowButton]=\"snFileList.length < snFileNum\"\n  [nzShowUploadList]=\"snShowUploadList\"\n  [nzRemove]=\"remove\"\n  [nzPreview]=\"handlePreview\"\n>\n  <span>\n      <ng-content></ng-content>\n  </span>\n</nz-upload>",
                    styles: [":host ::ng-deep span>i{font-size:32px;color:#999}:host ::ng-deep span>.ant-upload-text{margin-top:8px;color:#666}:host ::ng-deep .ant-upload-list-picture-card{float:none}"]
                }] }
    ];
    /** @nocollapse */
    SnFileUploadComponent.ctorParameters = function () { return [
        { type: NzMessageService },
        { type: SnFilerService },
        { type: HttpClient }
    ]; };
    SnFileUploadComponent.propDecorators = {
        snBucket: [{ type: Input }],
        snAccept: [{ type: Input }],
        snMultiple: [{ type: Input }],
        snFileNum: [{ type: Input }],
        snListType: [{ type: Input }],
        snUploadUrl: [{ type: Input }],
        snFileList: [{ type: Input }],
        snUploadData: [{ type: Input }],
        snIsMapping: [{ type: Input }],
        snShowUploadList: [{ type: Input }],
        snFileListChange: [{ type: Output }],
        snRemoveCallback: [{ type: Output }],
        snUploadCallback: [{ type: Output }]
    };
    return SnFileUploadComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var SnFilerModule = /** @class */ (function () {
    function SnFilerModule() {
    }
    SnFilerModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        NgZorroAntdModule
                    ],
                    declarations: [PopPreviewComponent, PagePreviewComponent, ImgUploadComponent, FileUploadComponent, SnFileUploadComponent],
                    exports: [PopPreviewComponent, PagePreviewComponent, ImgUploadComponent, FileUploadComponent, SnFileUploadComponent, NgZorroAntdModule]
                },] }
    ];
    return SnFilerModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { PAGEIMGLIST, POPIMGLIST, RESPONSE, SnFilerModule, SnFilerService, FileUploadComponent as ɵd, ImgUploadComponent as ɵc, PagePreviewComponent as ɵb, PopPreviewComponent as ɵa, SnFileUploadComponent as ɵe };

//# sourceMappingURL=sn-filer.js.map