import { OnInit, EventEmitter } from '@angular/core';
import { NzMessageService, UploadFile, UploadXHRArgs } from 'ng-zorro-antd';
import { SnFilerService } from '../sn-filer.service';
import { HttpClient } from '@angular/common/http';
export declare class SnFileUploadComponent implements OnInit {
    private nzMessageService;
    private snFilerService;
    private http;
    action: string;
    snBucket: string;
    snAccept: string;
    snMultiple: boolean;
    snFileNum: number;
    snListType: string;
    snUploadUrl: string;
    snFileList: UploadFile[];
    snUploadData?: any;
    snIsMapping: boolean;
    snShowUploadList: boolean;
    snFileListChange: EventEmitter<{}>;
    snRemoveCallback: EventEmitter<{}>;
    snUploadCallback: EventEmitter<{}>;
    constructor(nzMessageService: NzMessageService, snFilerService: SnFilerService, http: HttpClient);
    ngOnInit(): void;
    changeCallback: (event: any) => void;
    private emitData;
    private removeFileItem;
    remove: (file: UploadFile) => void;
    handlePreview: (file: UploadFile) => void;
    customReq: (item: UploadXHRArgs) => void;
    /**
     * 压缩图片
     */
    canvasDataURL(that: any): Blob;
    /**
     * 将以base64的图片url数据转换为Blob
     * @param urlData
     *            用url方式表示的base64图片数据
     */
    convertBase64UrlToBlob(urlData: any): Blob;
    /**
     * 文件上传
     */
    uploadFile: (item: UploadXHRArgs, file?: any) => import("rxjs/internal/Subscription").Subscription;
    beforeUpload: (file: File) => boolean;
}
